## org.omg.GIOP
Class CharSeq4Helper

    java.lang.Object
      |
      +--org.omg.GIOP.CharSeq4Helper

public class CharSeq4Helper
extends java.lang.Object

Helper class for : CharSeq4

Author:
  OpenORB Compiler

Constructor Summary
`CharSeq4Helper()`

Method Summary
`static char[]` `extract(Any a)` Extract CharSeq4 from an any
`static java.lang.String` `id()` Return the CharSeq4 IDL ID
`static void` `insert(Any a, char[] t)` Insert CharSeq4 into an any
`static char[]` `read(InputStream istream)` Read CharSeq4 from a marshalled stream
`static TypeCode` `type()` Return the CharSeq4 TypeCode
`static void` `write(OutputStream ostream, char[] value)` Write CharSeq4 into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CharSeq4Helper

    public CharSeq4Helper()

Method Detail

### insert

    public static void insert(Any a,
                              char[] t)

  Insert CharSeq4 into an any
  Parameters:
    `a` - an any
    `t` - CharSeq4 value

### extract

    public static char[] extract(Any a)

  Extract CharSeq4 from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted CharSeq4 value

### type

    public static TypeCode type()

  Return the CharSeq4 TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the CharSeq4 IDL ID
  Returns:
    an ID

### read

    public static char[] read(InputStream istream)

  Read CharSeq4 from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed CharSeq4 value

### write

    public static void write(OutputStream ostream,
                             char[] value)

  Write CharSeq4 into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - CharSeq4 value